com.sun.research.ws.wadl

## Class Param

- java.lang.Object
- - com.sun.research.ws.wadl.Param

    public class Param
    extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{http://wadl.dev.java.net/2009/02}option" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{http://wadl.dev.java.net/2009/02}link" minOccurs="0"/>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="href" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
           <attribute name="style" type="{http://wadl.dev.java.net/2009/02}ParamStyle" />
           <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}QName" default="xs:string" />
           <attribute name="default" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="required" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="repeating" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="fixed" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="path" type="{http://www.w3.org/2001/XMLSchema}string" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected String` `_default`
`protected List<Object>` `any`
`protected List<Doc>` `doc`
`protected String` `fixed`
`protected String` `href`
`protected String` `id`
`protected Link` `link`
`protected String` `name`
`protected List<Option>` `option`
`protected String` `path`
`protected Boolean` `repeating`
`protected Boolean` `required`
`protected ParamStyle` `style`
`protected QName` `type`

### Constructor Summary

Constructors
Constructor and Description
`Param()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `getAny()` Gets the value of the any property.
`String` `getDefault()` Gets the value of the default property.
`List<Doc>` `getDoc()` Gets the value of the doc property.
`String` `getFixed()` Gets the value of the fixed property.
`String` `getHref()` Gets the value of the href property.
`String` `getId()` Gets the value of the id property.
`Link` `getLink()` Gets the value of the link property.
`String` `getName()` Gets the value of the name property.
`List<Option>` `getOption()` Gets the value of the option property.
`Map<QName,String>` `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`String` `getPath()` Gets the value of the path property.
`ParamStyle` `getStyle()` Gets the value of the style property.
`QName` `getType()` Gets the value of the type property.
`boolean` `isRepeating()` Gets the value of the repeating property.
`boolean` `isRequired()` Gets the value of the required property.
`void` `setDefault(String value)` Sets the value of the default property.
`void` `setFixed(String value)` Sets the value of the fixed property.
`void` `setHref(String value)` Sets the value of the href property.
`void` `setId(String value)` Sets the value of the id property.
`void` `setLink(Link value)` Sets the value of the link property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setPath(String value)` Sets the value of the path property.
`void` `setRepeating(Boolean value)` Sets the value of the repeating property.
`void` `setRequired(Boolean value)` Sets the value of the required property.
`void` `setStyle(ParamStyle value)` Sets the value of the style property.
`void` `setType(QName value)` Sets the value of the type property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### doc

    protected List<Doc> doc

#### option

    protected List<Option> option

#### link

    protected Link link

#### any

    protected List<Object> any

#### href

    protected String href

#### name

    protected String name

#### style

    protected ParamStyle style

#### id

    protected String id

#### type

    protected QName type

#### _default

    protected String _default

#### required

    protected Boolean required

#### repeating

    protected Boolean repeating

#### fixed

    protected String fixed

#### path

    protected String path

### Constructor Detail

#### Param

    public Param()

### Method Detail

#### getDoc

    public List<Doc> getDoc()

Gets the value of the doc property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

For example, to add a new item, do as follows:

        getDoc().add(newItem);

Objects of the following type(s) are allowed in the list `Doc`

#### getOption

    public List<Option> getOption()

Gets the value of the option property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the option property.

For example, to add a new item, do as follows:

        getOption().add(newItem);

Objects of the following type(s) are allowed in the list `Option`

#### getLink

    public Link getLink()

Gets the value of the link property.

Returns:
  possible object is `Link`

#### setLink

    public void setLink(Link value)

Sets the value of the link property.

Parameters:
  `value` - allowed object is `Link`

#### getAny

    public List<Object> getAny()

Gets the value of the any property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

For example, to add a new item, do as follows:

        getAny().add(newItem);

Objects of the following type(s) are allowed in the list `Object` `Element`

#### getHref

    public String getHref()

Gets the value of the href property.

Returns:
  possible object is `String`

#### setHref

    public void setHref(String value)

Sets the value of the href property.

Parameters:
  `value` - allowed object is `String`

#### getName

    public String getName()

Gets the value of the name property.

Returns:
  possible object is `String`

#### setName

    public void setName(String value)

Sets the value of the name property.

Parameters:
  `value` - allowed object is `String`

#### getStyle

    public ParamStyle getStyle()

Gets the value of the style property.

Returns:
  possible object is `ParamStyle`

#### setStyle

    public void setStyle(ParamStyle value)

Sets the value of the style property.

Parameters:
  `value` - allowed object is `ParamStyle`

#### getId

    public String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId(String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

#### getType

    public QName getType()

Gets the value of the type property.

Returns:
  possible object is `QName`

#### setType

    public void setType(QName value)

Sets the value of the type property.

Parameters:
  `value` - allowed object is `QName`

#### getDefault

    public String getDefault()

Gets the value of the default property.

Returns:
  possible object is `String`

#### setDefault

    public void setDefault(String value)

Sets the value of the default property.

Parameters:
  `value` - allowed object is `String`

#### isRequired

    public boolean isRequired()

Gets the value of the required property.

Returns:
  possible object is `Boolean`

#### setRequired

    public void setRequired(Boolean value)

Sets the value of the required property.

Parameters:
  `value` - allowed object is `Boolean`

#### isRepeating

    public boolean isRepeating()

Gets the value of the repeating property.

Returns:
  possible object is `Boolean`

#### setRepeating

    public void setRepeating(Boolean value)

Sets the value of the repeating property.

Parameters:
  `value` - allowed object is `Boolean`

#### getFixed

    public String getFixed()

Gets the value of the fixed property.

Returns:
  possible object is `String`

#### setFixed

    public void setFixed(String value)

Sets the value of the fixed property.

Parameters:
  `value` - allowed object is `String`

#### getPath

    public String getPath()

Gets the value of the path property.

Returns:
  possible object is `String`

#### setPath

    public void setPath(String value)

Sets the value of the path property.

Parameters:
  `value` - allowed object is `String`

#### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

Gets a map that contains attributes that aren't bound to any typed property on this class.

the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

Returns:
  always non-null